Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pearsoneduc.ip.op
Class MMSEFilterOp

    java.lang.Object
      |
      +--com.pearsoneduc.ip.op.StandardGreyOp
            |
            +--com.pearsoneduc.ip.op.NeighbourhoodOp
                  |
                  +--com.pearsoneduc.ip.op.MMSEFilterOp

public class MMSEFilterOp
extends NeighbourhoodOp

A class to perform minimal mean squared error filtering on 8-bit greyscale images.

Version:
  1.0 [1999/07/31]
Author:
  Nick Efford

Fields inherited from class com.pearsoneduc.ip.op.NeighbourhoodOp
`borderStrategy, CIRCULAR_INDEXING, COPY_BORDER_PIXELS, height, NO_BORDER_OP, REFLECTED_INDEXING, size, width`

Constructor Summary
`MMSEFilterOp(float variance)` Constructs an MMSEFilterOp with the specified noise variance, to operate in a 3x3 neighbourhood with no special border processing.
`MMSEFilterOp(float variance, int w, int h)` Constructs an MMSEFilterOp with the specified noise variance and neighbourhood dimensions.
`MMSEFilterOp(float variance, int w, int h, int strategy)` Constructs an MMSEFilterOp with the specified noise variance, neighbourhood dimensions and border processing strategy.

Method Summary
`java.awt.image.BufferedImage` | `filter(java.awt.image.BufferedImage src, java.awt.image.BufferedImage dest)` Performs minimal mean squared error filtering on an image.

Methods inherited from class com.pearsoneduc.ip.op.NeighbourhoodOp
`circIndex, copyBorders, getBorderStrategy, getHeight, getNumPixels, getWidth, refIndex`

Methods inherited from class com.pearsoneduc.ip.op.StandardGreyOp
`checkImage, createCompatibleDestImage, getBounds2D, getPoint2D, getRenderingHints`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MMSEFilterOp

    public MMSEFilterOp(float variance)

  Constructs an MMSEFilterOp with the specified noise variance, to operate in a 3x3 neighbourhood with no special border processing.
  Parameters:
    `variance` - noise variance

### MMSEFilterOp

    public MMSEFilterOp(float variance,
                        int w,
                        int h)

  Constructs an MMSEFilterOp with the specified noise variance and neighbourhood dimensions. No special processing will be done at the image borders.
  Parameters:
    `variance` - noise variance
    `w` - width of neighbourhood
    `h` - height of neighbourhood

### MMSEFilterOp

    public MMSEFilterOp(float variance,
                        int w,
                        int h,
                        int strategy)

  Constructs an MMSEFilterOp with the specified noise variance, neighbourhood dimensions and border processing strategy.
  Parameters:
    `variance` - noise variance
    `w` - width of neighbourhood
    `h` - height of neighbourhood
    `strategy` - border handling strategy

Method Detail

### filter

    public java.awt.image.BufferedImage filter(java.awt.image.BufferedImage src,
                                               java.awt.image.BufferedImage dest)

  Performs minimal mean squared error filtering on an image.
  Parameters:
    `src` - source image
    `dest` - destination image, or null
  Returns:
    filtered image.
  Overrides:
    filter in class StandardGreyOp

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD